#ifndef _KK_LAN_VOICE_PANEL_H
#define _KK_LAN_VOICE_PANEL_H






int kk_voice_panel_init(void);

#define GET_8009_SNAPSHOOT_STATE				0
#define SET_8009_SYSTEM							1
#define START_8009_CONFIG_FILE_UPDATE			2
#define UPDATING_8009_CONFIG_FILE_INFO			3
#define STOP_8009_CONFIG_FILE_UPDATE			4
#define GET_8009_CONFIG_FILE_INFO				5





void kk_vp_set_state_machine(int state);
void kk_vp_set_config_file_version(int ver);
int kk_vp_config_file_info_check(int f_ver,int f_size,int crc32);


void kk_vp_update_result_check(uint8_t status,uint32_t f_ver);

void kk_vp_set_config_file_version(int ver);
void kk_vp_cfg_info_check(uint32_t f_ver,uint32_t f_size,uint32_t crc32);
void kk_vp_cfg_info_set(uint32_t f_ver,uint32_t f_size,uint32_t crc32);

void kk_vp_set_updateFlag(int flag);



















#endif

